#!/bin/bash

set -e

echo "Installing Composer packages..."
if [ -f .env ]; then
    composer install
else
    composer create-project
fi

echo "Installing Yarn packages..."
(cd public/static && yarn install)

echo "Migrating DB..."
./rvr db:migrate

echo "Set runner user based on owner of .env..."
USER_UID=$(stat -c "%u" .env)
USER_GID=$(stat -c "%g" .env)
groupadd --gid $USER_GID rvr
useradd --uid $USER_UID --gid $USER_GID rvr
sed -i -e "s/^user = .*$/user = rvr/g" -e "s/^group = .*$/group = rvr/g" /etc/php/8.1/fpm/pool.d/www.conf

set +e

/usr/sbin/php-fpm8.1 -F &
/usr/sbin/nginx -g 'daemon off;' &

wait -n

exit $?
