<?php namespace RVR\Controller;

use RVR\Repository\UserRepository;
use SokoWeb\Interfaces\Authentication\IAuthenticationRequired;
use SokoWeb\Interfaces\Response\IContent;
use SokoWeb\Response\JsonContent;

class UserSearchController implements IAuthenticationRequired
{
    private UserRepository $userRepository;

    public function __construct()
    {
        $this->userRepository = new UserRepository();
    }

    public function isAuthenticationRequired(): bool
    {
        return true;
    }

    public function searchUser(): IContent
    {
        $users = iterator_to_array($this->userRepository->searchByName(\Container::$request->query('q')));
        usort($users, function($a, $b) {
            return strnatcmp($a->getDisplayName(), $b->getDisplayName());
        });

        $results = [];
        foreach ($users as $user) {
            $results[] = ['value' => $user->getId(), 'label' => $user->getFullDisplayName()];
        }

        return new JsonContent([
            'results' => $results
        ]);
    }
}
