<?php namespace RVR\PersistentData\Model;

use DateTime;
use SokoWeb\PersistentData\Model\Model;

class OAuthClient extends Model
{
    protected static string $table = 'oauth_clients';

    protected static array $fields = ['client_id', 'client_secret', 'redirect_uris', 'preapproved', 'created'];

    private string $clientId = '';

    private string $clientSecret = '';

    private array $redirectUris = [];

    private bool $preapproved = false;

    private DateTime $created;

    public function setClientId(string $clientId): void
    {
        $this->clientId = $clientId;
    }

    public function setClientSecret(string $clientSecret): void
    {
        $this->clientSecret = $clientSecret;
    }

    public function setRedirectUrisArray(array $redirectUris): void
    {
        $this->redirectUris = $redirectUris;
    }

    public function setRedirectUris(string $redirectUris): void
    {
        $this->redirectUris = json_decode($redirectUris, true);
    }

    public function setPreapproved(bool $preapproved): void
    {
        $this->preapproved = $preapproved;
    }

    public function setCreatedDate(DateTime $created): void
    {
        $this->created = $created;
    }

    public function setCreated(string $created): void
    {
        $this->created = new DateTime($created);
    }

    public function getClientId(): string
    {
        return $this->clientId;
    }

    public function getClientSecret(): string
    {
        return $this->clientSecret;
    }

    public function getRedirectUrisArray(): array
    {
        return $this->redirectUris;
    }

    public function getRedirectUris(): string
    {
        return json_encode($this->redirectUris);
    }

    public function getPreapproved(): bool
    {
        return $this->preapproved;
    }

    public function getCreatedDate(): DateTime
    {
        return $this->created;
    }

    public function getCreated(): string
    {
        return $this->created->format('Y-m-d H:i:s');
    }
}
