@extends(templates/layout_normal)

@section(main)
    <h2>
        <a href="<?= Container::$routeCollection->getRoute('community')->generateLink(['communitySlug' => $community->getSlug()]) ?>"><?= $community->getName() ?></a> »
        <a href="<?= Container::$routeCollection->getRoute('community.settings')->generateLink(['communitySlug' => $community->getSlug()]) ?>">Settings</a> »
        Edit currencies
    </h2>
    <div class="box compactBox">
        <table class="fullWidth">
            <thead>
                <tr>
                    <th style="width: calc(100% / 3); text-align: left;">Code</th>
                    <th style="width: calc(100% / 3); text-align: left;">Round digits</th>
                    <th style="width: calc(100% / 3);"></th>
                </tr>
            </thead>
            <?php foreach ($currencies as $currency): ?>
                <tr>
                    <td>
                        <form id="editCurrency_<?= $currency->getId() ?>" action="<?= Container::$routeCollection->getRoute('community.currencies.edit-action')->generateLink(['communitySlug' => $community->getSlug(), 'currency_id' => $currency->getId()]) ?>" method="post" data-reload-on-success="true" data-observe-inputs="code,round_digits"></form>
                        <form id="deleteCurrency_<?= $currency->getId() ?>" action="<?= Container::$routeCollection->getRoute('community.currencies.delete-action')->generateLink(['communitySlug' => $community->getSlug(), 'currency_id' => $currency->getId()]) ?>" method="post" data-reload-on-success="true"></form>
                        <input type="text" form="editCurrency_<?= $currency->getId() ?>" class="text fullWidth" name="code" value="<?= $currency->getCode() ?>" maxlength="3" required>
                    </td>
                    <td>
                        <input type="number" form="editCurrency_<?= $currency->getId() ?>" class="text fullWidth" name="round_digits" value="<?= $currency->getRoundDigits() ?>" min="0" max="9" required>
                    </td>
                    <td style="text-align: right; font-size: 0;">
                        <button type="submit" form="editCurrency_<?= $currency->getId() ?>" name="submit_button" class="small" disabled><i class="fa-regular fa-floppy-disk"></i></button>
                        <?php if ($currency->getId() !== $community->getMainCurrencyId()): ?>
                            <button type="submit" form="deleteCurrency_<?= $currency->getId() ?>" name="submit_button" data-confirmation="Are you sure you want to delete this currency?" data-confirmation-button='<i class="fa-regular fa-trash-can"></i> Delete' class="small red marginLeft"><i class="fa-regular fa-trash-can"></i></button>
                        <?php endif; ?>
                    </td>
                </tr>
            <?php endforeach; ?>
            <tr>
                <td>
                    <form id="newCurrency" action="<?= Container::$routeCollection->getRoute('community.currencies.new-action')->generateLink(['communitySlug' => $community->getSlug()]) ?>" method="post" data-reload-on-success="true" data-observe-inputs="code,round_digits"></form>
                    <input type="text" form="newCurrency" class="text fullWidth" name="code" maxlength="3" required>
                </td>
                <td>
                    <input type="number" form="newCurrency" class="text fullWidth" name="round_digits" min="0" max="9" required>
                </td>
                <td style="text-align: right;">
                    <button type="submit" form="newCurrency" name="submit_button" class="small" disabled><i class="fa-regular fa-plus"></i></button>
                </td>
            </tr>
        </table>
        <p class="formError justify marginTop"></p>
    </div>
@endsection
