@extends(templates/layout_normal)

@section(main)
    <h2>
        <a href="<?= Container::$routeCollection->getRoute('community')->generateLink(['communitySlug' => $community->getSlug()]) ?>"><?= $community->getName() ?></a> »
        Settings
    </h2>

    <div class="gridContainer marginTop">
        <div>
            <h3 class="marginBottom">
                Members
                <?php if ($editPermission): ?>
                    <span class="small">[<a href="<?= Container::$routeCollection->getRoute('community.members')->generateLink(['communitySlug' => $community->getSlug()]) ?>">edit</a>]</span>
                <?php endif; ?>
            </h3>
            <?php foreach ($members as $member): ?>
                <p><?= $member->getUser()->getDisplayName() ?></p>
            <?php endforeach; ?>
        </div>
        <div>
            <h3 class="marginBottom">
                Currencies
                <?php if ($editPermission): ?>
                    <span class="small">[<a href="<?= Container::$routeCollection->getRoute('community.currencies')->generateLink(['communitySlug' => $community->getSlug()]) ?>">edit</a>]</span>
                <?php endif; ?>
            </h3>
            <?php foreach ($currencies as $currency): ?>
                <p>
                    <?php if ($currency->getId() === $community->getMainCurrencyId()): ?>
                        <b><?= $currency->getCode() ?></b>
                    <?php else: ?>
                        <a href="<?= Container::$routeCollection->getRoute('community.currencyExchangeRates')->generateLink(['communitySlug' => $community->getSlug(), 'code' => $currency->getCode()]) ?>"><?= $currency->getCode() ?></a>
                    <?php endif; ?>
                </p>
            <?php endforeach; ?>
        </div>
    </div>
@endsection
